Complexity:
Subject: The generic persistence should support the tearDown Method for resetting the database
Description

The PersistenceManager implementation from the generic persistence did not yet implement a tearDown method to reset the storage.
This is needed to benefit from the automatic reset of the test database in functional tests.

Associated revisions
Revision 8996d94c - 2012-07-09 18:30 - Christopher Hlubek

[FEATURE] Support tearDown for functional tests in generic persistence

Implement a tearDown method in the generic persistence according to the
Doctrine PersistenceManager. The call is delegated to the underlying
backend.

Change-Id: I25a86d6f298424dd958518443716aef6fb177661
Resolves: #38785
Releases: 1.1, 1.2

Revision af46cd9c - 2012-07-09 18:35 - Christopher Hlubek

[FEATURE] Support tearDown for functional tests in generic persistence

Implement a tearDown method in the generic persistence according to the
Doctrine PersistenceManager. The call is delegated to the underlying
backend.

Change-Id: I25a86d6f298424dd958518443716aef6fb177661
Resolves: #38785
Releases: 1.1, 1.2

History
#1 - 2012-07-09 16:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12717
#2 - 2012-07-09 18:16 - Karsten Dambekalns
- Category set to Persistence
- Target version set to 1.1

#3 - 2012-07-09 18:31 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12719

#4 - 2012-07-09 18:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12717

#5 - 2012-07-09 18:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12717

#6 - 2012-07-12 12:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:af46cd9cbf1c8f6e7bb0dabd6142571ad8a7e04f.
